<template lang="pug">
container
	.sparks.img
		img( v-lazy='require("@/assets/img/sparks_right.webp")' )
	.columns.is-flex.is-multiline
		.column.is-6-desktop.is-12-tablet.is-12-mobile
			.fray.img.is-flex
				img( v-lazy='require("@/assets/img/fray.webp")' )
		.column.is-6-desktop.is-12-tablet.is-12-mobile
			.question.img
				question
			p( v-for='(text, i) in $t("page.home.end.text")' :key='i' v-html='text' )
			buttons( :vertical='isTablet || isPhone' )
				b-button( asset="telegram" :fullwidth='isTablet || isPhone' ) {{ $t("buttons.channel") }}
				b-button( asset="telegram" type="grey" :fullwidth='isTablet || isPhone' ) {{ $t("buttons.chat") }}
</template>

<script>
export default {
	components: {
		Question: () => import("svg/question.svg")
	}
}
</script>

<style lang="scss" scoped>
.sparks {
	width: 21.75rem;
	position: absolute;
	right: -4rem;
	top: -3rem;
}

.column {
	.fray {
		max-width: 503px;
		height: 100%;
		margin: 0 auto;
		position: relative;
		img {
			position: absolute;
			left: 0;
			bottom: -5.6875rem;
		}
		@include max_tablet {
			max-width: 36%;
			margin: unset;
			&::before {
				content: "";
				display: block;
				width: 100%;
				height: 100%;
				background: linear-gradient(180deg, rgba(23, 19, 28, 0) 52.84%, #17131C 100%);
				position: absolute;
				top: 0;
				left: 0;
				z-index: 2;
			}
			img {
				position: relative;
				bottom: 0;
				z-index: 1;
			}
		}
	}
	.question {
		max-width: 304px;
		@include max_tablet {
			max-width: 182px;
			margin-left: auto;
			margin-top: -10.25rem;
		}
	}
}

p {
	font-weight: 500;
	max-width: 608px;
}
p:not(:last-of-type) {
	margin-bottom: 1rem;
}
p:last-of-type {
	margin-bottom: 2rem;
}

@include max_tablet {
	.btns {
		max-width: 14rem;
		margin: 0 auto;
	}
}
</style>